summary refs log tree commit diff homepage
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2017-07-30 19:24:58 -0400
committerJune McEnroe <programble@gmail.com>2017-07-30 19:24:58 -0400
commit8e74b8a41464c0c6ffa7ea7fc6c3df7e117ccdd9 (patch)
treec2721c712efc5a462d26044cae0a9b1107e0f3a0
parentFix termcap patch for background colors (diff)
downloadtorus-8e74b8a41464c0c6ffa7ea7fc6c3df7e117ccdd9.tar.gz
torus-8e74b8a41464c0c6ffa7ea7fc6c3df7e117ccdd9.zip
Add snapshot.sh
-rw-r--r--README1
-rwxr-xr-xsnapshot.sh5
2 files changed, 6 insertions, 0 deletions
diff --git a/README b/README
index 520f878..969d2f1 100644
--- a/README
+++ b/README
@@ -8,6 +8,7 @@ C source files are self-compiling, e.g. ./server.c.
     server.c       Maps torus.dat and listens on torus.sock.
     client.c       Curses client.
     help.c         Automated client which redraws a helpful banner.
+    snapshot.sh    Snapshots data file, appropriate for cron.
 
     chroot.sh      Creates chroot tarball.
     sshd_config    Anonymous login to chrooted client.
diff --git a/snapshot.sh b/snapshot.sh
new file mode 100755
index 0000000..2f15498
--- /dev/null
+++ b/snapshot.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e -u
+
+ts=`date +'%Y.%m.%d.%H.%M'`
+gzip -c -9 < "$1/torus.dat" > "$2/torus.dat.$ts.gz"
> I hate these things and also this one sucks. 2021-09-21Use Z_FILTERED strategyJune McEnroe 2021-09-21Recalculate various lengths only as neededJune McEnroe This actually speeds things up quite a bit, saving roughly a second on a big PNG screenshot. Almost all the remaining time is spent in deflate. 2021-09-21Rewrite pngo, add explicit optionsJune McEnroe Interesting to see how my code habits have changed. 2021-09-16Fix /* **/ comment matchingJune McEnroe 2021-09-15Remove typer, add downgrade to READMEJune McEnroe 2021-09-15Set bot mode on downgradeJune McEnroe 2021-09-15Enter capsicum in downgradeJune McEnroe 2021-09-15Factor out common parts of downgrade messagesJune McEnroe Also bump the message cap to 1024 because that is ostensibly useful for replying to older messages. 2021-09-14Add downgrade IRC botJune McEnroe 2021-09-14Sort by title if authors matchJune McEnroe There are probably better things to sort by but title definitely always exists. 2021-09-13Swap-remove tags as they're foundJune McEnroe This makes it even faster. From ~1s on a sqlite3.c amalgamation to ~0.85s. 2021-09-12Replace htagml regex with strncmpJune McEnroe Since ctags only ever produces regular expressions of the form /^re$/ or /^re/ with no other special characters, instead unescape the pattern and simply use strncmp. Running on a sqlite3.c amalgamation, the regex version takes ~37s while the strncmp version takes ~1s, producing identical output. Big win! 2021-09-11Also defer printing comment for lone close-parensJune McEnroe 2021-09-10Publish "git-comment"June McEnroe 2021-09-10Add git comment --pretty optionJune McEnroe 2021-09-08Defer printing comment if line is blank or closing braceJune McEnroe This fixes badly indented comments. 2021-09-08Up default min-repeat to 30 linesJune McEnroe 2021-09-08Handle dirty lines in git-commentJune McEnroe 2021-09-08Document and install git-commentJune McEnroe 2021-09-08Add repeat and all options to git-commentJune McEnroe 2021-09-08Add group threshold to git-commentJune McEnroe